Subject: Re: bug#8516: nxml-mode: pattern matching should be case-sensitive in validation

From: Chong Yidong <[email-masked]>
Date: Sun, 22 May 2011 15:47:06 -0400

Yuanle Song <[email-masked]> writes:

> I think it's because string-match ignore case when case-fold-search is t
> (which is the default), so greped a little on nxml dir and found the
> following function may be the problem. But I haven't read the how the
> whole file and don't know how nxml validation works, so some one more
> knowledgeable should verify this is the right thing to do.
>
> I tested on the test.xml and test.rnc and after this patch, capitalized
> "Test" will result an invalid xml file.

Patch looks right to me.  Committed to the Emacs repository trunk,
thanks.